API reference
Primary IPs
GET
header
AuthorizationBearer <token>id*integerFormat
int64Primary IP
application/json- response
primary_ip*curl -X GET "https://example.com/primary_ips/0"{ "primary_ip": { "id": 0, "name": "string", "type": "ipv4", "ip": "string", "assignee_id": 0, "auto_delete": true, "blocked": true, "dns_ptr": "string", "location": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}GET
header
AuthorizationBearer <token>label_selector?stringFilter by labels: env=prod, env!=prod, env (has key), !env; comma = AND
Primary IPs
application/json- response
primary_ips*array<>curl -X GET "https://example.com/primary_ips"{ "primary_ips": [ { "id": 0, "name": "string", "type": "ipv4", "ip": "string", "assignee_id": 0, "auto_delete": true, "blocked": true, "dns_ptr": "string", "location": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}POST
The hostname must already resolve to the IP (forward-confirmed reverse DNS).
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
dns_ptr?|null resets the entry
Changed
application/json- response
action*curl -X POST "https://example.com/primary_ips/0/actions/change_dns_ptr" \ -H "Content-Type: application/json" \ -d '{}'{ "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}